
/* Extra buttons ----- */
.sub-template .misc-textarea .env-button{
    border-radius: 40px;
    margin: 0 auto 3rem 0;
    display: inline-flex;
    align-items: center;
    width: auto;
    text-decoration: none;
    font-weight: 300 !important;
    font-family: 'Poppins', sans-serif;
    font-size: 1.2rem;
    overflow: hidden;
   padding:1rem 1.5rem;
background:#222;
   position: relative;
    box-shadow: inset 0 0 0 0 #222;
    transition: ease-out box-shadow .4s;
   color:#fff!important;
   border:1px solid #000;
}

.sub-template .misc-textarea .env-button:focus{
/*outline:3px dotted #000!important;*/
}

.sub-template .misc-textarea .env-button.env-button--block {
   display:flex;
   width:100%;
}

.sub-template .misc-textarea .env-button:hover{
   color:#000!important;
   text-decoration: none;
	box-shadow: inset 400px 0 0 0 #fff, 0 0.5em 0.5em -0.4em #000;
}

.sub-template .misc-textarea .env-button:before {

}

/* Blue btn ----------  */
.sub-template .misc-textarea .env-button.env-button--primary{
   background: #3b6ca5;
    color: #fff !important;
      padding:0;
       padding-right: 1.5rem;
   border:0;
}

.sub-template .misc-textarea .env-button.env-button--primary:hover{
	box-shadow: inset 400px 0 0 0 #035392, 0 0.5em 0.5em -0.4em #035392;
}

.sub-template .misc-textarea .env-button.env-button--primary:before {
    background: #035392;
    	display: flex;
    font-family: "Font Awesome 6 Pro";
    padding: 1rem;
    margin-right: 1rem;
      content:"\f109";
}

/* Dark Green btn ----------  */
.sub-template .misc-textarea .env-button.env-button--success{
   background: #396e53;
    color: #fff !important;
      padding:0;
       padding-right: 1.5rem;
      border:0;
}

.sub-template .misc-textarea .env-button.env-button--success:hover{
	box-shadow: inset 400px 0 0 0 #075436, 0 0.5em 0.5em -0.4em #075436;
}

.sub-template .misc-textarea .env-button.env-button--success:before {
    background: #075436;
    	display: flex;
    font-family: "Font Awesome 6 Pro";
    padding: 1rem;
    margin-right: 1rem;
      content:"\f109";
}


/* Red btn ----------  */

.sub-template .misc-textarea .env-button.env-button--danger{
   background: #b2562e;
    color: #fff !important;
   padding:0;
       padding-right: 1.5rem;
      border:0;
}

.sub-template .misc-textarea .env-button.env-button--danger:hover{
	box-shadow: inset 400px 0 0 0 #9e3109, 0 0.5em 0.5em -0.4em #9e3109;
}

.sub-template .misc-textarea .env-button.env-button--danger:before {
   	display: flex;
    font-family: "Font Awesome 6 Pro";
    padding: 1rem;
    margin-right: 1rem;
      content:"\f109";
    background: #9e3109;
}



/* Invert btn ----------  */
.sub-template .misc-textarea .env-button.env-button--invert{
   background: #fff;
    color: #000 !important;
      border:1px solid #000;
}

.sub-template .misc-textarea .env-button.env-button--invert:hover{
   color:#fff!important;
	box-shadow: inset 400px 0 0 0 #000, 0 0.5em 0.5em -0.4em #000;
}

/* Link btn ----------  */
.sub-template .misc-textarea .env-button.env-button--link{
   background: #b2562e;
    color: #fff !important;
   padding:0;
       padding-right: 1.5rem;
      border:0;
}

.sub-template .misc-textarea .env-button.env-button--link:hover{
	box-shadow: inset 400px 0 0 0 #9e3109, 0 0.5em 0.5em -0.4em #9e3109;
}

.sub-template .misc-textarea .env-button.env-button--link:before {
   	display: flex;
    font-family: "Font Awesome 6 Pro";
    padding: 1rem;
    margin-right: 1rem;
      content:"\f15c";
    background: #9e3109;
}

/* Snabblänkar ----------------*/
.template-quicklinks{
   min-width:11rem;
   margin-left:auto!important;
}
.template-quicklinks a, .template-quicklinks button{
    background: #595959;
    color: #fff!important;
    box-shadow: none;
    outline: none;
    border-radius: 3px;
    box-shadow: unset;
    transition: ease-in-out .4s;
    position: relative;
    padding: 0.2rem 0.5rem 0.1rem 0.5rem;
    border: 0;
    font-weight: 400;
    font-family: 'Poppins', sans-serif;
    display: flex;
    align-items: center;
    font-size: .75rem;
    border-radius: 40px;
   text-decoration:none!important;
   white-space: nowrap;
}

.template-quicklinks a:focus, .template-quicklinks button:focus{
   outline:2px dotted #000;
}

.template-quicklinks a:hover, .template-quicklinks a:hover {
    color: #fff!important;
    box-shadow: inset 400px 0 0 0 #333;
}

